e-Invoice Details by IRN API
GET
https://apisandbox.whitebooks.in/einvoice/type/GETIRN/version/V1_03Get e-Invoice details for a given IRN. You can fetch only past 72 hours of invoices from the time of IRN generation
e-Invoice Web App
Explore FeatureInstant B2B e-Invoice IRN & QR Code Generation
Generate 64-character IRNs and signed QR codes in bulk from Excel, ERP connectors, or web forms with instant IRP dispatch.
Parameters
query parameters
param1stringrequiredIRN
emailstringrequiredUser Email
supplier_gstnstringoptionalSupplier GSTIN, only in case E Comm. operator is getting IRN details
irpstringoptionale-Invoice Server Type(NIC1/NIC2),given at the time of e-Invoice generation
header parameters
ip_addressstringrequiredIP Address
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
usernamestringrequiredUser name
auth-tokenstringrequiredToken
gstinstringrequiredGSTIN number
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP GET to
/einvoice/type/GETIRN/version/V1_03. Required parameters: param1 (query parameter), email (query parameter), ip_address (header parameter), client_id (header parameter), client_secret (header parameter), username (header parameter), auth-token (header parameter), gstin (header parameter). No request body payload is required for this call.For Get EInvoice Details (GET
/einvoice/type/GETIRN/version/V1_03), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Get e-Invoice details for a given IRN. You can fetch only past 72 hours of invoices from the time of IRN generation
No example available.